Search the Community
Showing results for tags 'width'.
-
All by myself... kinda. ATTRIB Defined Width
RubberDinero posted a topic in AutoLISP, Visual LISP & DCL
(defun c:awz ( / sUndo enx atent atent_list) (setq sUndo (vlax-invoke (vla-get-ActiveDocument (vlax-get-acad-object)) 'StartUndoMark)) (setvar 'errno 0) (while (/= 52 (getvar 'errno)) (setvar 'errno 0) (setq atent (car (nentsel "\nSelect multiline attribute to change Defined Width to 0: "))) (cond ( (= 7 (getvar 'errno)) (prompt "\nNothing Selected.") ) ( (null atent) (prompt "\nExit.") ) ( (/= "ATTRIB" (cdr (assoc 0 (setq enx (entget atent))))) (prompt "\nSelected object is not an Attribute.") ) ( (= 4 (logand 4 (cdr (assoc 70 (tblsearch "layer" (cdr (assoc 8 enx))))))) (prompt "\nSelected Attribute is on a locked layer.") ) (if atent (setq atent_list (entget atent)) (setq atent_list (subst (cons 41 0) (assoc 42 atent_list) atent_list )) (entmod atent_list) )) (if sUndo (vlax-invoke (vla-get-ActiveDocument (vlax-get-acad-object)) 'EndUndoMark)) )(princ) )(vl-load-com)(princ) by researching past codes from pros like Lee Mac and Grrr, i was able to create this lisp all on my own. At work we have a program that inserts Blocks with a multiline attributes with information set in them and each value is it's own line of text. Unfortunately, sometimes, by that i mean most of the time, if a space is inside the information, it'll "word wrap" and create a new line. It is very annoying having to double click the attribute, then "..." and then change the width of sometimes over 100 attributes. Out of frustration, this Code was born. I welcome everyone to criticize this code as much as they can, i like learning how others would have written it. what i added that wasn't needed, what i needed that wasn't added, what would have been an easier approach. don't hold nothing back! If i didn't give credit to some of the original creators of the code that inspired me, i apologize. you guys deserve all the credit. -
Hello, i am new here so please have some patience. i been using autocad for a long time, but recently my entire storage died, im paying allot of money to recover it, but it takes a couple of months.... my problem is this. I have always used the same Plot Style table since college, we build it in class and has worked for me since. now i don't have access to it anymore. I will gladly make new ones, i know how to make them, but I don't remember the pen assignments (linewidth) for every color. I use the basics RED (0.0025) yellow (0.005).... but honestly, it doesn't come out as good as before. does anyone have a list of the linewidth for each color and other settings that would give me a good plot style. I know this is a dumm thing to ask, but im very proud of my plans and hate to see them ugly on paper. Thanks.
-
I receive drawings from others and do material take-offs. I need to learn how to make real measurements electronically in a drawing so I can stop having them plotted so I can use a scale. thanks! gsf
- 11 replies
-
- scaled area
- real dimensions
-
(and 3 more)
Tagged with: